diff -urN ssh-1.0.fix-connectopt/ssh_connection_manager.erl ssh-1.0.custom-ssh_cli/ssh_connection_manager.erl
--- ssh-1.0.fix-connectopt/ssh_connection_manager.erl	2008-09-25 10:29:20.615868000 +0900
+++ ssh-1.0.custom-ssh_cli/ssh_connection_manager.erl	2008-09-25 11:07:37.492690200 +0900
@@ -482,7 +482,11 @@
 handle_info(ssh_connected, 
 	    #state{role = server, channel_args = {Address, Port, Shell, Options}} 
 	    = State0) ->
-    ChannelSpec = ssh_cli:child_spec(Shell, Address, Port, Options),
+    SshCli = proplists:get_value(ssh_cli, Options, ssh_cli),
+    ChannelSpec = case SshCli of
+	    Fun when is_function(Fun) -> Fun(Shell, Address, Port, Options);
+	    SshCliMod -> SshCliMod:child_spec(Shell, Address, Port, Options)
+    end,
     ChannelPid = start_channel(Address, Port, ChannelSpec),
     State = add_channel_ref(ChannelPid, State0),
     {noreply, State#state{connected = true}};
